# Summary

- [Architecture](./architecture.md)
- [Programming Style](./paradigms.md)
- [Exceptions](./exceptions.md)
- [Events](./events.md)
- [Database](./database.md)
- [Cache](./cache.md)
- [Routes and Controllers](./routes_and_controllers.md)
- [Templates](./templates.md)
- [Internationalization](./i18n.md)
- [Logging](./log.md)
- [Queue](./queue.md)
- [Attachments, Files and Thumbnails](./attachments.md)
- [Security](./security.md)
- [HTTP Client](./httpclient.md)
- [Plugins](./plugins.md)
    - [Configuration](./plugins/configuration.md)
    - [Initialization and Clean Up](./plugins/lifetime.md)
- [Debugging](./debugging.md)
- [Sample Plugins](./sample_plugins.md)
    - [Injecting Javascript](./plugins/sample_plugins/Awesomeness.md)
    - [Creating a block on the sidebar](./plugins/sample_plugins/Sample.md)
- [Low level](./core.md)
    - [Overview](./core/overview.md)
    - [Modules](./core/modules.md)
    - [Event dispatcher](./core/events.md)
    - [ORM and Caching](./core/orm_and_caching.md)
    - [Interfaces](./core/interfaces.md)
    - [UI](./core/ui.md)
    - [Internationalisation](./core/i18n.md)
    - [Utils](./core/util.md)
    - [Queues](./core/queues.md)
    - [Files](./core/files.md)
    - [Security](./core/security.md)
    - [HTTP Client](./core/http.md)
    - [Exception handling](./core/exception_handler.md)